低危 curl curl_easy_unescape在其基于堆的缓冲区之外写入

CVE编号

CVE-2016-8622

利用情况

暂无

补丁情况

官方补丁

披露时间

2018-08-01
漏洞描述
在7.51.0之前,libcurl中的URL percent-encoding decode函数称为“curl_easeuntree”。在内部,即使将此函数用于分配大于2GB的unscape目标缓冲区,它也将在一个带符号的32位整数变量中返回新的长度,因此长度要么被截断,要么被截断并变为负值。这可能导致libcurl在其基于堆的缓冲区之外写入。 

解决建议
厂商已提供漏洞修补方案,请关注厂商主页及时更新:
https://curl.haxx.se/
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 haxx libcurl * Up to
(excluding)
7.51.0
运行在以下环境
系统 debian DPKG * Up to
(excluding)
7.51.0-1
运行在以下环境
系统 suse_12 sles12-docker-image * Up to
(excluding)
1.1.4-20171002
运行在以下环境
系统 ubuntu_12.04.5_lts curl * Up to
(excluding)
7.22.0-3ubuntu4.17
运行在以下环境
系统 ubuntu_12.04_lts curl * Up to
(excluding)
7.22.0-3ubuntu4.17
运行在以下环境
系统 ubuntu_14.04.6_lts curl * Up to
(excluding)
7.35.0-1ubuntu2.10
运行在以下环境
系统 ubuntu_14.04_lts curl * Up to
(excluding)
7.35.0-1ubuntu2.10
运行在以下环境
系统 ubuntu_16.04.7_lts curl * Up to
(excluding)
7.47.0-1ubuntu2.2
运行在以下环境
系统 ubuntu_16.04_lts curl * Up to
(excluding)
7.47.0-1ubuntu2.2
阿里云评分
3.1
  • 攻击路径
    远程
  • 攻击复杂度
    复杂
  • 权限要求
    无需权限
  • 影响范围
    有限影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    无影响
  • 数据完整性
    无影响
  • 服务器危害
    无影响
  • 全网数量
    100
CWE-ID 漏洞类型
CWE-787 跨界内存写
阿里云安全产品覆盖情况